| OpenMS 2.5.0

TransformationEvaluation

Applies a transformation to a range of values and records the results.

This is useful for plotting transformations for quality assessment etc.

The command line parameters of this tool are:

    TransformationEvaluation -- Applies a transformation to a range of values

    Full documentation: http://www.openms.de/documentation/UTILS_TransformationEvaluation.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      TransformationEvaluation <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input file containing the transformation description (valid formats: 'trafoXML')

      -out <file>        Output file containing original and transformed values; if empty, output is written to

                         the screen (valid formats: 'trafoXML')

      -min <value>       Minimum value to transform (default: '0.0')

      -max <value>       Maximum value to transform (if at or below 'min', select a suitable maximum based on

                         the transformation description) (default: '0.0')

      -step <value>      Step size between 'min' and 'max' (default: '1.0' min: '0.001')

    Common UTIL options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+TransformationEvaluation Applies a transformation to a range of values
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'TransformationEvaluation'
in Input file containing the transformation description input file*.trafoXML
out Output file containing original and transformed values; if empty, output is written to the screen output file*.trafoXML
min 0.0 Minimum value to transform
max 0.0 Maximum value to transform (if at or below 'min', select a suitable maximum based on the transformation description)
step 1.0 Step size between 'min' and 'max'0.001:∞
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false